<?php
/**
 * Coppermine Photo Gallery
 * v1.0 originally written by Gregory Demar
 * @copyright  Copyright (c) 2003-2018 Coppermine Dev Team
 * @license    GNU General Public License version 3 or later; see LICENSE
 * @since  1.6.04
 */
/**  This theme has had redundant CORE items removed **/
define('THEME_HAS_PROGRESS_GRAPHICS', 1);
define('THEME_HAS_FILM_STRIP_GRAPHICS', 1);
define('THEME_HAS_FILM_STRIP_GRAPHIC', 1);
define('THEME_HAS_RATING_GRAPHICS', 1);
define('THEME_HAS_NAVBAR_GRAPHICS',1);
define('THEME_HAS_COMMENT_GRAPHICS',1);
define('THEME_HAS_MENU_ICONS',16);

/******************************************************************************
** Section MENUS - START
******************************************************************************/ 
// HTML template for template  sub menu buttons
$template_sys_menu_button = $template_sub_menu_button = <<<EOT
<!-- BEGIN {BLOCK_ID} -->
<li class="first-level"><a href="{HREF_TGT}" title="{HREF_TITLE}">{HREF_LNK}</a></li>
<!-- END {BLOCK_ID} -->
EOT;
$template_sys_menu = <<<EOT
<ul class="sys_menu" id="cpg_menu">
<!-- BEGIN home -->
<li class="first-level"><a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a><img class="menu-arrow" src="{$THEME_DIR}images/menu.png" />
<ul class="second-level">
<!-- BEGIN contact -->
<li><a href="{CONTACT_TGT}" title="{CONTACT_TITLE}">{CONTACT_LNK}</a></li>
<!-- END contact --> 
<!-- BEGIN sidebar -->
<li><a href="{SIDEBAR_TGT}" title="{SIDEBAR_TITLE}">{SIDEBAR_LNK}</a></li>
<!-- END sidebar -->
<!-- BEGIN my_profile -->
<li><a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></li>
<!-- END my_profile -->
<!-- BEGIN allow_memberlist -->
<li><a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></li>
<!-- END allow_memberlist -->
</ul>
</li>
<!-- END home -->
<!-- BEGIN my_gallery -->
<li class="first-level"><a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a><img class="menu-arrow" src="{$THEME_DIR}images/menu.png" />
<ul class="second-level">
<!-- BEGIN enter_admin_mode -->
<li><a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></li>
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
<li><a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></li>
<!-- END leave_admin_mode -->
</ul>
</li>
<!-- END my_gallery -->
<!-- BEGIN upload_pic -->
<li class="first-level"><a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></li>
<!-- END upload_pic -->
<!-- BEGIN register -->
<li class="first-level"><a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></li>
<!-- END register -->
<!-- BEGIN login -->
<li class="first-level"><a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></li>
<!-- END login -->
<!-- BEGIN logout -->
<li class="first-level"><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">{LOGOUT_LNK}</a></li>
<!-- END logout -->
<span class="clearer"></span></ul>
EOT;
// HTML template for sub menu
if ($CONFIG['browse_by_date'] != 0) {$browsebydatebutton = 
<<< EOT
<li><a href="{BROWSEBYDATE_TGT}" title="{BROWSEBYDATE_TITLE}" rel="nofollow" class="greybox"><span>{BROWSEBYDATE_LNK}</span></a></li>
EOT;
} else {$browsebydatebutton = '';}
$template_sub_menu = <<<EOT
<ul class="sub_menu" id="cpg_menu">
<!-- BEGIN custom_link -->
<li class="custom_link first-level"><a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a></li>
<!-- END custom_link -->
<!-- BEGIN album_list -->
<li class="album_list first-level"><a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a><img class="menu-arrow" src="{$THEME_DIR}images/menu.png" />
<ul class="second-level">
<!-- BEGIN lastup -->
<li><a href="{LASTUP_TGT}" title="{LASTUP_LNK}" rel="nofollow"><span>{LASTUP_LNK}</span></a></li>
<!-- END lastup -->
<!-- BEGIN lastcom -->
<li><a href="{LASTCOM_TGT}" title="{LASTCOM_LNK}" rel="nofollow"><span>{LASTCOM_LNK}</span></a></li>
<!-- END lastcom -->
<!-- BEGIN topn -->
<li><a href="{TOPN_TGT}" title="{TOPN_LNK}" rel="nofollow"><span>{TOPN_LNK}</span></a></li>
<!-- END topn -->
<!-- BEGIN toprated -->
<li><a href="{TOPRATED_TGT}" title="{TOPRATED_LNK}" rel="nofollow"><span>{TOPRATED_LNK}</span></a></li>
<!-- END toprated -->
<!-- BEGIN favpics -->
<li><a href="{FAV_TGT}" title="{FAV_LNK}" rel="nofollow"><span>{FAV_LNK}</span></a></li>
<!-- END favpics -->
<!-- BEGIN browse_by_date -->
$browsebydatebutton
<!-- END browse_by_date -->
</ul>
</li>
<!-- END album_list -->
<!-- BEGIN search -->
<li class="search-link first-level"><a href="{SEARCH_TGT}" title="ADVANCED {SEARCH_LNK}">{SEARCH_LNK}</a></li>
<!-- END search -->
<span class="clearer"></span></ul>
EOT;
/******************************************************************************
** Section <<<MENUS>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<pageheader>>> - START
******************************************************************************/
function pageheader($section, $meta = '')
{
    global $CONFIG, $THEME_DIR;
    global $template_header, $lang_charset, $lang_text_dir;

    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);

    $charset = ($CONFIG['charset'] == 'language file') ? $lang_charset : $CONFIG['charset'];

    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');
    header("Content-Type: text/html; charset=$charset");
    user_save_profile();

    $template_vars = array(
        '{LANG_DIR}' => $lang_text_dir,
        '{TITLE}' => theme_page_title($section),
        '{CHARSET}' => $charset,
        '{META}' => $meta,
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],
        '{SYS_MENU}' => theme_main_menu('sys_menu'),
        '{SUB_MENU}' => theme_main_menu('sub_menu'),
        '{ADMIN_MENU}' => theme_admin_mode_menu(),
        '{CUSTOM_HEADER}' => $custom_header,
        '{JAVASCRIPT}' => theme_javascript_head(),
        '{MESSAGE_BLOCK}' => theme_display_message_block(),
    );
	// START CUSTOM CODE
    global $cat, $CPG_PHP_SELF, $pid, $uid, $album, $cat_data, $CURRENT_ALBUM_DATA, $CURRENT_PIC_DATA;
	$superCage = Inspekt::makeSuperCage();
    if ($cat < 0) {
        $what = 'alb_';
        $current_id = -$cat;
    } else {
        $what = 'cat_';
        $current_id = $cat;
    }		
   // css mod - start
    if ($CPG_PHP_SELF == 'index.php' && $current_id == 0) {
      $bodyID = 'homePage';
	} elseif ($CPG_PHP_SELF == 'index.php') {
      $bodyID = $what.$current_id;
	} elseif ($CPG_PHP_SELF == 'thumbnails.php' && is_numeric($album)) {
      $bodyID = 'cat_' . $CURRENT_ALBUM_DATA['category'];		
	} elseif ($CPG_PHP_SELF == 'thumbnails.php' && !is_numeric($album)) {
      $bodyID = $album;		
	} elseif ($CPG_PHP_SELF == 'displayimage.php') {
      $bodyID = 'cat_' . $CURRENT_ALBUM_DATA['category'];		
	} elseif ($CPG_PHP_SELF == 'login.php') {
      $bodyID = 'loginPage';	
	} elseif ($CPG_PHP_SELF == 'search.php') {
      $bodyID = 'searchPage';			
	} elseif ($CPG_PHP_SELF == 'profile.php') {
      $bodyID = 'profilePage';		
	} elseif ($CPG_PHP_SELF == 'contact.php') {
      $bodyID = 'contactPage';		
	} elseif ($CPG_PHP_SELF == 'upload.php') {
      $bodyID = 'uploadPage';		
	} elseif ($CPG_PHP_SELF == 'usermgr.php') {
      $bodyID = 'usermgrPage';		
	} elseif ($CPG_PHP_SELF == 'pluginmgr.php') {
      $bodyID = 'pluginmgrPage';		
	} else {
      $bodyID = 'adminPage';		
	}
	$template_vars['{BODYID}'] = $bodyID;
    if ($CPG_PHP_SELF == 'thumbnails.php' && is_numeric($album)) {
      $bodyCLASS = $what.$current_id;		
	} elseif ($CPG_PHP_SELF == 'displayimage.php') {
      $bodyCLASS = 'displayimage';		
	} else {
      $bodyCLASS = 'body-class';		
	}	
	$template_vars['{BODYCLASS}'] = $bodyCLASS;
    // css mod - end	
    $template_vars = CPGPluginAPI::filter('theme_pageheader_params', $template_vars);
    echo template_eval($template_header, $template_vars);

    // Show various admin messages
    adminmessages();
}
/******************************************************************************
** Section <<<pageheader>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<starttable>>> - START
******************************************************************************/
// Function to start a 'standard' table
function starttable($width = '-1', $title = '', $title_colspan = '1', $zebra_class = '', $return = false) {
    global $CONFIG;
    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];
    $text = <<<EOT
<!-- Start standard table -->
<table align="center" width="$width" cellspacing="1" cellpadding="0" class="maintable $zebra_class">
EOT;
    if ($title) {
        $text .= <<<EOT
<tr><td class="table-heading" colspan="$title_colspan">$title</td></tr>
EOT;
    }
    if (!$return) {
        echo $text;
    } else {
        return $text;
    }
}
/******************************************************************************
** Section <<<starttable>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<$template_album_list>>> - START
******************************************************************************/
// HTML template for the album list
$template_album_list = <<<EOT

<!-- BEGIN stat_row -->
                <div class="tableh1 tableh1-albums"><span class="statlink">{STATISTICS}</span></div>
<!-- END stat_row -->
<!-- BEGIN header -->
<!-- END header -->
<!-- BEGIN album_cell -->
        <div class="albumsContainer item" style="width:{COL_WIDTH}%">
              <p class="alblink"><a href="{ALB_LINK_TGT}">{ALBUM_TITLE}</a></p>
              <div class="thumbnails album-thumbnails">
                  <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}</a>
               </div>
               <div class="albums-details">
                        {ADMIN_MENU}
                        <p>{ALB_DESC}</p>
                        <p class="album_stat">{ALB_INFOS}<br />{ALB_HITS}</p>
                </div>	
        </div>
<!-- END album_cell -->
<!-- BEGIN empty_cell -->
        <div width="{COL_WIDTH}%">&nbsp;</div>
<!-- END empty_cell -->
<!-- BEGIN row_separator -->
<!-- END row_separator -->
<!-- BEGIN footer -->
<!-- END footer -->
<!-- BEGIN tabs -->
        <table class="albumsTabs" width="100%" cellspacing="0" cellpadding="0"><tr>{TABS}</tr></table>
<!-- END tabs -->
<!-- BEGIN spacer -->
<!-- END spacer -->

EOT;
/******************************************************************************
** Section <<<$template_album_list>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<theme_display_album_list>>> - START
******************************************************************************/
function theme_display_album_list(&$alb_list, $nbAlb, $cat, $page, $total_pages) {
    global $CONFIG, $STATS_IN_ALB_LIST, $statistics, $template_tab_display, $template_album_list, $lang_album_list;
    $theme_alb_list_tab_tmpl = $template_tab_display;
    $theme_alb_list_tab_tmpl['left_text'] = strtr($theme_alb_list_tab_tmpl['left_text'], array('{LEFT_TEXT}' => $lang_album_list['album_on_page']));
    $theme_alb_list_tab_tmpl['page_link'] = strtr($theme_alb_list_tab_tmpl['page_link'], array('{LINK}' => 'index.php?cat=' . $cat . '&amp;page=%d'));
    $tabs = create_tabs($nbAlb, $page, $total_pages, $theme_alb_list_tab_tmpl);
    $album_cell = template_extract_block($template_album_list, 'album_cell');
    $empty_cell = template_extract_block($template_album_list, 'empty_cell');
    $tabs_row = template_extract_block($template_album_list, 'tabs');
    $stat_row = template_extract_block($template_album_list, 'stat_row');
    $spacer = template_extract_block($template_album_list, 'spacer');
    $header = template_extract_block($template_album_list, 'header');
    $footer = template_extract_block($template_album_list, 'footer');
    $rows_separator = template_extract_block($template_album_list, 'row_separator');
    $count = 0;
    $columns = $CONFIG['album_list_cols'];
    $column_width = ceil(100 / $columns);
    $thumb_cell_width = $CONFIG['alb_list_thumb_size'] + 2;
    echo '<div class="albumbs-wrapper grid">';
    if ($STATS_IN_ALB_LIST) {
        $params = array('{STATISTICS}' => $statistics,
            '{COLUMNS}' => $columns,
            );
        echo template_eval($stat_row, $params);
    }
    echo $header;
    if (is_array($alb_list)) {
        foreach($alb_list as $album) {
            $count ++;
            $params = array('{COL_WIDTH}' => $column_width,
                '{ALBUM_TITLE}' => $album['album_title'],
                '{THUMB_CELL_WIDTH}' => $thumb_cell_width,
                '{ALB_LINK_TGT}' => "thumbnails.php?album={$album['aid']}",
                '{ALB_LINK_PIC}' => $album['thumb_pic'],
                '{ADMIN_MENU}' => $album['album_adm_menu'],
                '{ALB_DESC}' => $album['album_desc'],
                '{ALB_INFOS}' => $album['album_info'],
                '{ALB_HITS}' => $album['alb_hits'],
                );
            $params = CPGPluginAPI::filter('theme_album_params', $params);
            echo template_eval($album_cell, $params);
            if ($count % $columns == 0 && $count < count($alb_list)) {
                echo $rows_separator;
            }
        }
    }
    $params = array('{COL_WIDTH}' => $column_width,
          '{SPACER}' => $thumb_cell_width
          );
    $empty_cell = template_eval($empty_cell, $params);
    while ($count++ % $columns != 0) {
        echo $empty_cell;
    }
    echo $footer;
    // Tab display
    $params = array('{COLUMNS}' => $columns,
        '{TABS}' => $tabs,
        );
    echo template_eval($tabs_row, $params);
    echo '</div>';
    echo $spacer;
}
/******************************************************************************
** Section <<<theme_display_album_list>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<$template_album_list_cat>>> - START
******************************************************************************/
// HTML template for the album list
$template_album_list_cat = <<<EOT

<!-- BEGIN c_stat_row -->
<div class="tableh1 tableh1-albums"><span class="statlink">{STATISTICS}</span></div>
<!-- END c_stat_row -->
<!-- BEGIN c_header -->
<!-- END c_header -->
<!-- BEGIN c_album_cell -->
        <div class="albumsContainer item" style="width:{COL_WIDTH}%">
              <p class="alblink"><a href="{ALB_LINK_TGT}">{ALBUM_TITLE}</a></p>
              <div class="thumbnails album-thumbnails">
                  <a href="{ALB_LINK_TGT}" class="albums">{ALB_LINK_PIC}</a>
               </div>
               <div class="albums-details">
                        {ADMIN_MENU}
                        <p>{ALB_DESC}</p>
                        <p class="album_stat">{ALB_INFOS}<br />{ALB_HITS}</p>
                </div>	
        </div>
<!-- END c_album_cell -->
<!-- BEGIN c_empty_cell -->
 <div width="{COL_WIDTH}%">&nbsp;</div>
<!-- END c_empty_cell -->
<!-- BEGIN c_row_separator -->
<!-- END c_row_separator -->
<!-- BEGIN c_footer -->
<!-- END c_footer -->
<!-- BEGIN c_tabs -->
        <table class="albumsTabs" width="100%" cellspacing="0" cellpadding="0"><tr>{TABS}</tr></table>
<!-- END c_tabs -->
<!-- BEGIN c_spacer -->
<!-- END c_spacer -->

EOT;
/******************************************************************************
** Section <<<$template_album_list_cat>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<$template_cat_list>>> - START
******************************************************************************/
// HTML template for the category list
$template_cat_list = <<<EOT
<!-- BEGIN header -->
        <div class="catsCategory">{CATEGORY}</div>
        <div class="catsCount">{ALBUMS}</div><div class="catsCount">{PICTURES}</div>
	<div class="clearer"></div>	
<!-- END header -->
<!-- BEGIN catrow_noalb -->
        <div class="catrow_noalb">
		  <div class="catlink">{CAT_TITLE}</div>
		  <div class="cat-details">{CAT_DESC}</div>
	    </div>
<!-- END catrow_noalb -->
<!-- BEGIN catrow -->
<div class="clearer"></div>
          <div class="catrow">
			<div class="catlinkDescThumb">
			  <div class="cat-thumb">{CAT_THUMB}</div>
			  <div class="catlink">{CAT_TITLE}</div>
			  <div class="cat-desc">{CAT_DESC}</div>
			</div>
            <div class="cat-count"><span>{ALB_COUNT}</span> <span>{PIC_COUNT}</span></div>
		  <div class="clearer"></div></div><div class="clearer"></div>
          <div class="cat-albums">{CAT_ALBUMS}</div>
<!-- END catrow -->
<!-- BEGIN footer -->
        <div class="tableh1 tableh1-statlink" align="center"><span class="statlink">{STATISTICS}</span></div>
<!-- END footer -->
<!-- BEGIN spacer -->
<!-- END spacer -->

EOT;
/******************************************************************************
** Section <<<$template_cat_list>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<theme_display_cat_list>>> - START
******************************************************************************/
function theme_display_cat_list($breadcrumb, &$cat_data, $statistics) {
    global $template_cat_list, $lang_cat_list;
    if (count($cat_data) > 0) {
        echo '<div class="CategoriesWrapper">';
        $template = template_extract_block($template_cat_list, 'header');
        $params = array(
                '{CATEGORY}' => $lang_cat_list['category'],
                '{ALBUMS}' => $lang_cat_list['albums'],
                '{PICTURES}' => $lang_cat_list['pictures'],
        );
        echo template_eval($template, $params);
    }
    $template_noalb = template_extract_block($template_cat_list, 'catrow_noalb');
    $template = template_extract_block($template_cat_list, 'catrow');
    foreach($cat_data as $category) {
        if (!isset($category['cat_thumb'])) { $category['cat_thumb'] = ''; }
        if (count($category) == 3) {
            $params = array(
                    '{CAT_TITLE}' => $category[0],
                    '{CAT_THUMB}' => $category['cat_thumb'],
                    '{CAT_DESC}' => $category[1],
            );
            echo template_eval($template_noalb, $params);
        } elseif (isset($category['cat_albums']) && ($category['cat_albums'] != '')) {
            $params = array(
                    '{CAT_TITLE}' => $category[0],
                    '{CAT_THUMB}' => $category['cat_thumb'],
                    '{CAT_DESC}' => $category[1],
                    '{CAT_ALBUMS}' => $category['cat_albums'],
                    '{ALB_COUNT}' => cpg_float2decimal($category[2]),
                    '{PIC_COUNT}' => cpg_float2decimal($category[3]),
            );
            echo template_eval($template, $params);
        } else {
            $params = array(
                    '{CAT_TITLE}' => $category[0],
                    '{CAT_THUMB}' => $category['cat_thumb'],
                    '{CAT_DESC}' => $category[1],
                    '{CAT_ALBUMS}' => '',
                    '{ALB_COUNT}' => cpg_float2decimal($category[2]),
                    '{PIC_COUNT}' => cpg_float2decimal($category[3]),
            );
            echo template_eval($template, $params);
        }
    }
    if ($statistics && count($cat_data) > 0) {
        $template = template_extract_block($template_cat_list, 'footer');
        $params = array('{STATISTICS}' => $statistics);
        echo template_eval($template, $params);
    }
    if (count($cat_data) > 0)
          echo '</div>';
        echo template_extract_block($template_cat_list, 'spacer');
}
/******************************************************************************
** Section <<<theme_display_cat_list>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<$template_thumb_view_title_row>>> - START
******************************************************************************/
// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT
         <div id="thumb_view_title_row">
                <div class="statlink-admin">
                    <h2>{ALBUM_NAME}</h2>
                <div class="sortorder">
<!-- BEGIN admin_buttons -->
                    <a href="modifyalb.php?album={ALBUM_ID}" class="admin_menu" title="{MODIFY_LNK}">{MODIFY_ICO}{MODIFY_LNK} </a>
                    &nbsp;&nbsp;
                    <a href="index.php?cat={CAT_ID}" class="admin_menu" title="{PARENT_CAT_LNK}">{PARENT_CAT_ICO} {PARENT_CAT_LNK}</a>
                    &nbsp;&nbsp;
                    <a href="editpics.php?album={ALBUM_ID}" class="admin_menu" title="{EDIT_PICS_LNK}">{EDIT_PICS_ICO} {EDIT_PICS_LNK}</a>
                    &nbsp;&nbsp;
                    <a href="albmgr.php?cat={CAT_ID}" class="admin_menu" title="{ALBUM_MGR_LNK}">{ALBUM_MGR_ICO} {ALBUM_MGR_LNK}</a>
<!-- END admin_buttons -->
                </div></div>
                <div class="sortorder_cell" id="sortorder_cell">
                    <!-- Use JavaScript to display the sorting options only to humans, but hide them from search engines to avoid double-content indexing (js/thumbnails.js) -->
                </div><div class="clearer"></div>
        </div>

EOT;
/******************************************************************************
** Section <<<$template_thumb_view_title_row>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<$template_thumbnail_view>>> - START
******************************************************************************/
// HTML template for thumbnails display
$template_thumbnail_view = <<<EOT
<!-- BEGIN header -->
<!-- END header -->
<!-- BEGIN thumb_cell -->
        <div class="thumbnailsContainer item" style="width:{CELL_WIDTH}">
           <a href="{LINK_TGT}">{THUMB}</a>
           {CAPTION}
           {ADMIN_MENU}
        </div>
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
        <div class="thumbnailsContainerEmpty">&nbsp;</div>
<!-- END empty_cell -->
<!-- BEGIN row_separator -->
<!-- END row_separator -->
<!-- BEGIN footer -->
<!-- END footer -->
<!-- BEGIN tabs -->
       <table class="thumbnailsTabs" width="100%" cellspacing="0" cellpadding="0"><tr>{TABS}</tr></table>
<!-- END tabs -->
<!-- BEGIN spacer -->
<!-- END spacer -->
EOT;
/******************************************************************************
** Section <<<$template_thumbnail_view>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<theme_display_thumbnails>>> - START
******************************************************************************/
function theme_display_thumbnails(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $page, $total_pages, $sort_options, $display_tabs, $mode = 'thumb', $date='')
{
    global $CONFIG, $CURRENT_ALBUM_DATA;
    global $template_thumb_view_title_row,$template_fav_thumb_view_title_row, $lang_thumb_view, $lang_common, $template_tab_display, $template_thumbnail_view, $lang_album_list, $lang_errors;
    $superCage = Inspekt::makeSuperCage();
    static $header = '';
    static $thumb_cell = '';
    static $empty_cell = '';
    static $row_separator = '';
    static $footer = '';
    static $tabs = '';
    static $spacer = '';
    if ($header == '') {
        $thumb_cell = template_extract_block($template_thumbnail_view, 'thumb_cell');
        $tabs = template_extract_block($template_thumbnail_view, 'tabs');
        $header = template_extract_block($template_thumbnail_view, 'header');
        $empty_cell = template_extract_block($template_thumbnail_view, 'empty_cell');
        $row_separator = template_extract_block($template_thumbnail_view, 'row_separator');
        $footer = template_extract_block($template_thumbnail_view, 'footer');
        $spacer = template_extract_block($template_thumbnail_view, 'spacer');
    }
    $cat_link = is_numeric($aid) ? '' : '&amp;cat=' . $cat;
    $date_link = $date=='' ? '' : '&amp;date=' . $date;
    if ($superCage->get->getInt('uid')) {
      $uid_link = '&amp;uid=' . $superCage->get->getInt('uid');
    } else {
      $uid_link = '';
    }
    $album_types = array(
        'albums' => array('lastalb')
    );
    $album_types = CPGPluginAPI::filter('theme_thumbnails_album_types', $album_types);
    $theme_thumb_tab_tmpl = $template_tab_display;
    if ($mode == 'thumb') {
        $theme_thumb_tab_tmpl['left_text'] = strtr($theme_thumb_tab_tmpl['left_text'], array('{LEFT_TEXT}' => in_array($aid, $album_types['albums']) ? $lang_album_list['album_on_page'] : $lang_thumb_view['pic_on_page']));
        $theme_thumb_tab_tmpl['page_link'] = strtr($theme_thumb_tab_tmpl['page_link'], array('{LINK}' => 'thumbnails.php?album=' . $aid . $cat_link . $date_link . $uid_link . '&amp;page=%d'));
    } else {
        $theme_thumb_tab_tmpl['left_text'] = strtr($theme_thumb_tab_tmpl['left_text'], array('{LEFT_TEXT}' => $lang_thumb_view['user_on_page']));
        $theme_thumb_tab_tmpl['page_link'] = strtr($theme_thumb_tab_tmpl['page_link'], array('{LINK}' => 'index.php?cat=' . $cat . '&amp;page=%d'));
    }
    $thumbcols = $CONFIG['thumbcols'];
    //$cell_width = ceil(100 / $CONFIG['thumbcols']) . '%';
    $cell_width = 100 / $CONFIG['thumbcols'] . '%';
    $tabs_html = $display_tabs ? create_tabs($nbThumb, $page, $total_pages, $theme_thumb_tab_tmpl) : '';
    if (!GALLERY_ADMIN_MODE && stripos($template_thumb_view_title_row, 'admin_buttons') !== false) {
        template_extract_block($template_thumb_view_title_row, 'admin_buttons');
    }
    // The sort order options are not available for meta albums
    if ($sort_options) {
        if (GALLERY_ADMIN_MODE) {
            $param = array(
                '{ALBUM_ID}'   => $aid,
                '{CAT_ID}'     => ($cat > 0 ? $cat : $CURRENT_ALBUM_DATA['category']),
                '{MODIFY_LNK}'     => $lang_common['album_properties'],
                '{MODIFY_ICO}'     => cpg_fetch_icon('modifyalb', 1),
                '{PARENT_CAT_LNK}' => $lang_common['parent_category'],
                '{PARENT_CAT_ICO}' => cpg_fetch_icon('category', 1),
                '{EDIT_PICS_LNK}'  => $lang_common['edit_files'],
                '{EDIT_PICS_ICO}'  => cpg_fetch_icon('edit', 1),
                '{ALBUM_MGR_LNK}'  => $lang_common['album_manager'],
                '{ALBUM_MGR_ICO}'  => cpg_fetch_icon('alb_mgr', 1),
            );
        } else {
            $param = array();
        }
        $param['{ALBUM_NAME}'] = $album_name;
        // Plugin Filter: allow plugin to modify or add tags to process
        $param = CPGPluginAPI::filter('theme_thumbnails_title', $param);
        $title = template_eval($template_thumb_view_title_row, $param);
    } elseif ($aid == 'favpics' && $CONFIG['enable_zipdownload'] > 0) { //Lots of stuff can be added here later
        $param = array(
            '{ALBUM_ID}'   => $aid,
            '{ALBUM_NAME}' => $album_name,
            '{DOWNLOAD_ZIP}' => cpg_fetch_icon ('zip', 2) . $lang_thumb_view['download_zip'],
        );
        // Plugin Filter: allow plugin to modify or add tags to process
        $param = CPGPluginAPI::filter('theme_thumbnails_title', $param);
        $title = template_eval($template_fav_thumb_view_title_row, $param);
    } else {
        $title = $album_name;
    }
    CPGPluginAPI::action('theme_thumbnails_wrapper_start', null);
    if ($mode == 'thumb') {
        echo '<div class="thumbnailsWrapper">';
		echo '<div class="thumbnailsTitle">' .$title. '</div>';
    } else {
        echo '<div class="thumbnailsWrapper">';
    }
    echo '<div class="grid">';	
    $header = CPGPluginAPI::filter('theme_thumbnails_header', $header);
    echo $header;
    $i = 0;
    global $thumb;  // make $thumb accessible to plugins
    foreach($thumb_list as $thumb) {
        $i++;
        if ($mode == 'thumb') {
            if (in_array($aid, $album_types['albums'])) {
                $params = array(
                    '{CELL_WIDTH}' => $cell_width,
                    '{LINK_TGT}'   => "thumbnails.php?album={$thumb['aid']}",
                    '{THUMB}'      => $thumb['image'],
                    '{CAPTION}'    => $thumb['caption'],
                    '{ADMIN_MENU}' => $thumb['admin_menu'],
                );
            } else {
                // determine if thumbnail link targets should open in a pop-up
                if ($CONFIG['thumbnail_to_fullsize'] == 1) { // code for full-size pop-up
                    if (!USER_ID && $CONFIG['allow_unlogged_access'] <= 2) {
                       $target = 'javascript:;" onclick="alert(\''.sprintf($lang_errors['login_needed'],'','','','').'\');';
                    } elseif (USER_ID && USER_ACCESS_LEVEL <= 2) {
                        $target = 'javascript:;" onclick="alert(\''.sprintf($lang_errors['access_intermediate_only'],'','','','').'\');';
                    } else {
                       $target = 'javascript:;" onclick="MM_openBrWindow(\'displayimage.php?pid=' . $thumb['pid'] . '&fullsize=1\',\'' . uniqid(rand()) . '\',\'scrollbars=yes,toolbar=no,status=no,resizable=yes,width=' . ((int)$thumb['pwidth']+(int)$CONFIG['fullsize_padding_x']) .  ',height=' .   ((int)$thumb['pheight']+(int)$CONFIG['fullsize_padding_y']). '\');';
                    }
                } elseif ($aid == 'random') {
                    $target = "displayimage.php?pid={$thumb['pid']}$uid_link#top_display_media";
                } elseif ($aid == 'lastcom' || $aid == 'lastcomby') {
                    $page = cpg_get_comment_page_number($thumb['msg_id']);
                    $page = (is_numeric($page)) ? "&amp;page=$page" : '';
                    $target = "displayimage.php?album=$aid$cat_link$date_link&amp;pid={$thumb['pid']}$uid_link&amp;msg_id={$thumb['msg_id']}$page#comment{$thumb['msg_id']}";
                } else {
                    $target = "displayimage.php?album=$aid$cat_link$date_link&amp;pid={$thumb['pid']}$uid_link#top_display_media";
                }
                $params = array(
                    '{CELL_WIDTH}' => $cell_width,
                    '{LINK_TGT}'   => $target,
                    '{THUMB}'      => $thumb['image'],
                    '{CAPTION}'    => $thumb['caption'],
                    '{ADMIN_MENU}' => $thumb['admin_menu'],
                );
            }
        } else {  // mode != 'thumb'
            // Used for mode = 'user' from list_users() in index.php
            $params = array(
                '{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}'   => "index.php?cat={$thumb['cat']}",
                '{THUMB}'      => $thumb['image'],
                '{CAPTION}'    => $thumb['caption'],
                '{ADMIN_MENU}' => '',
            );
        }
        // Plugin Filter: allow plugin to modify or add tags to process
        $params = CPGPluginAPI::filter('theme_display_thumbnails_params', $params);
        echo template_eval($thumb_cell, $params);
        if ((($i % $thumbcols) == 0) && ($i < count($thumb_list))) {
            echo $row_separator;
        }
    } // foreach $thumb
    unset($thumb);  // unset $thumb to avoid conflicting with global

    for (;($i % $thumbcols); $i++) {
        echo $empty_cell;
    }
    $footer = CPGPluginAPI::filter('theme_thumbnails_footer', $footer);
    echo $footer;
    echo '</div>';
    if ($display_tabs) {
        $params = array(
            '{THUMB_COLS}' => $thumbcols,
            '{TABS}'       => $tabs_html,
        );
        echo template_eval($tabs, $params);
    }
   echo '</div>';
    CPGPluginAPI::action('theme_thumbnails_wrapper_end', null);
    echo $spacer;
}
/******************************************************************************
** Section <<<theme_display_thumbnails>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<$template_film_strip>>> - START
******************************************************************************/
// HTML template for filmstrip display
$template_film_strip = <<<EOT
        <tr>
          <td valign="top" class="filmstrip_background" style="background-image: url({TILE1});"><img src="{TILE1}" alt="" border="0" /></td>
        </tr>
        <tr>
          <td valign="bottom" class="thumbnails filmstrip_background" align="center" style="{THUMB_TD_STYLE}">
            <table width="100%" cellspacing="0" cellpadding="3" border="0">
                <tr>
                   <td width="50%" class="prev_strip"></td>
                     <td valign="bottom" style="{THUMB_TD_STYLE}">
                       <div id="film" style="{SET_WIDTH}"><table class="tape" ><tr>{THUMB_STRIP}</tr></table></div>
                     </td>
                   <td width="50%" align="right" class="next_strip"></td>
                </tr>
            </table>
          </td>
        </tr>
        <tr>
         <td valign="top" class="filmstrip_background" style="background-image: url({TILE2});"><img src="{TILE2}" alt="" border="0" /></td>
        </tr>
<!-- BEGIN thumb_cell -->
                <td class="thumb">
                  <a href="{LINK_TGT}" class="thumbLink" style="{ONE_WIDTH}">{THUMB}</a>
                </td>
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
                <td valign="top" align="center" >&nbsp;</td>
<!-- END empty_cell -->

EOT;
/******************************************************************************
** Section <<<$template_film_strip>>> - END
******************************************************************************/
//EOF